Create or update a product by external ID
curl --request PUT \
--url https://api.artu.ai/products/external/{externalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"name": "<string>",
"scopes": [],
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
}
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [
{}
]
},
"JYS": {
"settlementType": "cash",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
}
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [
{
"quantity": "<string>"
}
],
"paymentDefaults": [
{}
]
},
"MPC": {
"defaultCollateral": {
"postalCode": "<string>"
}
},
"TSC": {
"operationType": "211"
},
"VEH": {
"vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"sucursal": "<string>"
}
}
}
}
}
'import requests
url = "https://api.artu.ai/products/external/{externalId}"
payload = {
"name": "<string>",
"scopes": [],
"description": "<string>",
"metadata": {},
"scopeData": { "MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
}
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [{}]
},
"JYS": {
"settlementType": "cash",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
}
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [{ "quantity": "<string>" }],
"paymentDefaults": [{}]
},
"MPC": { "defaultCollateral": { "postalCode": "<string>" } },
"TSC": { "operationType": "211" },
"VEH": { "vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
] }
},
"cnbv": { "TRANSMISOR": { "sucursal": "<string>" } }
} }
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
scopes: [],
description: '<string>',
metadata: {},
scopeData: {
MX: {
actividadVulnerable: {
ARI: {
operationType: '1501',
property: {
value: '<string>',
calle: '<string>',
colonia: '<string>',
numeroExterior: '<string>',
postalCode: '<string>',
folioReal: '<string>'
}
},
AVI: {operationType: 'buy', cryptoCurrency: '<string>'},
INM: {
operationType: '501',
inmuebles: [
{
value: '<string>',
calle: '<string>',
colonia: '<string>',
numeroExterior: '<string>',
numeroInterior: '<string>',
postalCode: '<string>',
dimensionTerreno: '<string>',
dimensionConstruido: '<string>',
folioReal: '<string>'
}
],
payments: [{}]
},
JYS: {
settlementType: 'cash',
branchInformation: {type: 'own', postalCode: '<string>'}
},
MJR: {
operationPostalCode: '<string>',
goods: [{quantity: '<string>'}],
paymentDefaults: [{}]
},
MPC: {defaultCollateral: {postalCode: '<string>'}},
TSC: {operationType: '211'},
VEH: {
vehicles: [
{
kind: 'terrestre',
marcaFabricante: '<string>',
modelo: '<string>',
anio: '<string>',
vin: '<string>',
repuve: '<string>',
placas: '<string>'
}
]
}
},
cnbv: {TRANSMISOR: {sucursal: '<string>'}}
}
}
})
};
fetch('https://api.artu.ai/products/external/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/products/external/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scopes' => [
],
'description' => '<string>',
'metadata' => [
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'ARI' => [
'operationType' => '1501',
'property' => [
'value' => '<string>',
'calle' => '<string>',
'colonia' => '<string>',
'numeroExterior' => '<string>',
'postalCode' => '<string>',
'folioReal' => '<string>'
]
],
'AVI' => [
'operationType' => 'buy',
'cryptoCurrency' => '<string>'
],
'INM' => [
'operationType' => '501',
'inmuebles' => [
[
'value' => '<string>',
'calle' => '<string>',
'colonia' => '<string>',
'numeroExterior' => '<string>',
'numeroInterior' => '<string>',
'postalCode' => '<string>',
'dimensionTerreno' => '<string>',
'dimensionConstruido' => '<string>',
'folioReal' => '<string>'
]
],
'payments' => [
[
]
]
],
'JYS' => [
'settlementType' => 'cash',
'branchInformation' => [
'type' => 'own',
'postalCode' => '<string>'
]
],
'MJR' => [
'operationPostalCode' => '<string>',
'goods' => [
[
'quantity' => '<string>'
]
],
'paymentDefaults' => [
[
]
]
],
'MPC' => [
'defaultCollateral' => [
'postalCode' => '<string>'
]
],
'TSC' => [
'operationType' => '211'
],
'VEH' => [
'vehicles' => [
[
'kind' => 'terrestre',
'marcaFabricante' => '<string>',
'modelo' => '<string>',
'anio' => '<string>',
'vin' => '<string>',
'repuve' => '<string>',
'placas' => '<string>'
]
]
]
],
'cnbv' => [
'TRANSMISOR' => [
'sucursal' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/products/external/{externalId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scopes\": [],\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"property\": {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n },\n \"AVI\": {\n \"operationType\": \"buy\",\n \"cryptoCurrency\": \"<string>\"\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"inmuebles\": [\n {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"numeroInterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"dimensionTerreno\": \"<string>\",\n \"dimensionConstruido\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n ],\n \"payments\": [\n {}\n ]\n },\n \"JYS\": {\n \"settlementType\": \"cash\",\n \"branchInformation\": {\n \"type\": \"own\",\n \"postalCode\": \"<string>\"\n }\n },\n \"MJR\": {\n \"operationPostalCode\": \"<string>\",\n \"goods\": [\n {\n \"quantity\": \"<string>\"\n }\n ],\n \"paymentDefaults\": [\n {}\n ]\n },\n \"MPC\": {\n \"defaultCollateral\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"TSC\": {\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"vehicles\": [\n {\n \"kind\": \"terrestre\",\n \"marcaFabricante\": \"<string>\",\n \"modelo\": \"<string>\",\n \"anio\": \"<string>\",\n \"vin\": \"<string>\",\n \"repuve\": \"<string>\",\n \"placas\": \"<string>\"\n }\n ]\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"sucursal\": \"<string>\"\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.artu.ai/products/external/{externalId}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"scopes\": [],\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"property\": {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n },\n \"AVI\": {\n \"operationType\": \"buy\",\n \"cryptoCurrency\": \"<string>\"\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"inmuebles\": [\n {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"numeroInterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"dimensionTerreno\": \"<string>\",\n \"dimensionConstruido\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n ],\n \"payments\": [\n {}\n ]\n },\n \"JYS\": {\n \"settlementType\": \"cash\",\n \"branchInformation\": {\n \"type\": \"own\",\n \"postalCode\": \"<string>\"\n }\n },\n \"MJR\": {\n \"operationPostalCode\": \"<string>\",\n \"goods\": [\n {\n \"quantity\": \"<string>\"\n }\n ],\n \"paymentDefaults\": [\n {}\n ]\n },\n \"MPC\": {\n \"defaultCollateral\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"TSC\": {\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"vehicles\": [\n {\n \"kind\": \"terrestre\",\n \"marcaFabricante\": \"<string>\",\n \"modelo\": \"<string>\",\n \"anio\": \"<string>\",\n \"vin\": \"<string>\",\n \"repuve\": \"<string>\",\n \"placas\": \"<string>\"\n }\n ]\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"sucursal\": \"<string>\"\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/products/external/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"scopes\": [],\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"property\": {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n },\n \"AVI\": {\n \"operationType\": \"buy\",\n \"cryptoCurrency\": \"<string>\"\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"inmuebles\": [\n {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"numeroInterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"dimensionTerreno\": \"<string>\",\n \"dimensionConstruido\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n ],\n \"payments\": [\n {}\n ]\n },\n \"JYS\": {\n \"settlementType\": \"cash\",\n \"branchInformation\": {\n \"type\": \"own\",\n \"postalCode\": \"<string>\"\n }\n },\n \"MJR\": {\n \"operationPostalCode\": \"<string>\",\n \"goods\": [\n {\n \"quantity\": \"<string>\"\n }\n ],\n \"paymentDefaults\": [\n {}\n ]\n },\n \"MPC\": {\n \"defaultCollateral\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"TSC\": {\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"vehicles\": [\n {\n \"kind\": \"terrestre\",\n \"marcaFabricante\": \"<string>\",\n \"modelo\": \"<string>\",\n \"anio\": \"<string>\",\n \"vin\": \"<string>\",\n \"repuve\": \"<string>\",\n \"placas\": \"<string>\"\n }\n ]\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"sucursal\": \"<string>\"\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
},
"paymentForm": "1",
"monetaryInstrument": "1"
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"JYS": {
"settlementType": "cash",
"operationType": "101",
"businessLine": "1",
"operationMethod": "1",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
},
"monetaryInstrument": "1"
},
"MJR": {
"operationType": "601",
"operationPostalCode": "<string>",
"goods": [
{
"goodType": "1",
"unit": "1",
"quantity": "<string>"
}
],
"paymentDefaults": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"MPC": {
"operationType": "401",
"defaultCollateral": {
"tipoGarantia": "2",
"tipoInmueble": "1",
"postalCode": "<string>"
}
},
"TSC": {
"operationType": "211",
"cardType": "1"
},
"VEH": {
"operationType": "801",
"vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"nivelBlindaje": "1",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"tipoOperacion": "00",
"instrumentoMonetario": "00",
"sucursal": "<string>",
"localidad": "10100005"
}
}
}
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
},
"action": "created"
}Products
Create or update a product by external ID
PUT
/
products
/
external
/
{externalId}
Create or update a product by external ID
curl --request PUT \
--url https://api.artu.ai/products/external/{externalId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"name": "<string>",
"scopes": [],
"description": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
}
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [
{}
]
},
"JYS": {
"settlementType": "cash",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
}
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [
{
"quantity": "<string>"
}
],
"paymentDefaults": [
{}
]
},
"MPC": {
"defaultCollateral": {
"postalCode": "<string>"
}
},
"TSC": {
"operationType": "211"
},
"VEH": {
"vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"sucursal": "<string>"
}
}
}
}
}
'import requests
url = "https://api.artu.ai/products/external/{externalId}"
payload = {
"name": "<string>",
"scopes": [],
"description": "<string>",
"metadata": {},
"scopeData": { "MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
}
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [{}]
},
"JYS": {
"settlementType": "cash",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
}
},
"MJR": {
"operationPostalCode": "<string>",
"goods": [{ "quantity": "<string>" }],
"paymentDefaults": [{}]
},
"MPC": { "defaultCollateral": { "postalCode": "<string>" } },
"TSC": { "operationType": "211" },
"VEH": { "vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
] }
},
"cnbv": { "TRANSMISOR": { "sucursal": "<string>" } }
} }
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
scopes: [],
description: '<string>',
metadata: {},
scopeData: {
MX: {
actividadVulnerable: {
ARI: {
operationType: '1501',
property: {
value: '<string>',
calle: '<string>',
colonia: '<string>',
numeroExterior: '<string>',
postalCode: '<string>',
folioReal: '<string>'
}
},
AVI: {operationType: 'buy', cryptoCurrency: '<string>'},
INM: {
operationType: '501',
inmuebles: [
{
value: '<string>',
calle: '<string>',
colonia: '<string>',
numeroExterior: '<string>',
numeroInterior: '<string>',
postalCode: '<string>',
dimensionTerreno: '<string>',
dimensionConstruido: '<string>',
folioReal: '<string>'
}
],
payments: [{}]
},
JYS: {
settlementType: 'cash',
branchInformation: {type: 'own', postalCode: '<string>'}
},
MJR: {
operationPostalCode: '<string>',
goods: [{quantity: '<string>'}],
paymentDefaults: [{}]
},
MPC: {defaultCollateral: {postalCode: '<string>'}},
TSC: {operationType: '211'},
VEH: {
vehicles: [
{
kind: 'terrestre',
marcaFabricante: '<string>',
modelo: '<string>',
anio: '<string>',
vin: '<string>',
repuve: '<string>',
placas: '<string>'
}
]
}
},
cnbv: {TRANSMISOR: {sucursal: '<string>'}}
}
}
})
};
fetch('https://api.artu.ai/products/external/{externalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/products/external/{externalId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scopes' => [
],
'description' => '<string>',
'metadata' => [
],
'scopeData' => [
'MX' => [
'actividadVulnerable' => [
'ARI' => [
'operationType' => '1501',
'property' => [
'value' => '<string>',
'calle' => '<string>',
'colonia' => '<string>',
'numeroExterior' => '<string>',
'postalCode' => '<string>',
'folioReal' => '<string>'
]
],
'AVI' => [
'operationType' => 'buy',
'cryptoCurrency' => '<string>'
],
'INM' => [
'operationType' => '501',
'inmuebles' => [
[
'value' => '<string>',
'calle' => '<string>',
'colonia' => '<string>',
'numeroExterior' => '<string>',
'numeroInterior' => '<string>',
'postalCode' => '<string>',
'dimensionTerreno' => '<string>',
'dimensionConstruido' => '<string>',
'folioReal' => '<string>'
]
],
'payments' => [
[
]
]
],
'JYS' => [
'settlementType' => 'cash',
'branchInformation' => [
'type' => 'own',
'postalCode' => '<string>'
]
],
'MJR' => [
'operationPostalCode' => '<string>',
'goods' => [
[
'quantity' => '<string>'
]
],
'paymentDefaults' => [
[
]
]
],
'MPC' => [
'defaultCollateral' => [
'postalCode' => '<string>'
]
],
'TSC' => [
'operationType' => '211'
],
'VEH' => [
'vehicles' => [
[
'kind' => 'terrestre',
'marcaFabricante' => '<string>',
'modelo' => '<string>',
'anio' => '<string>',
'vin' => '<string>',
'repuve' => '<string>',
'placas' => '<string>'
]
]
]
],
'cnbv' => [
'TRANSMISOR' => [
'sucursal' => '<string>'
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/products/external/{externalId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scopes\": [],\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"property\": {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n },\n \"AVI\": {\n \"operationType\": \"buy\",\n \"cryptoCurrency\": \"<string>\"\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"inmuebles\": [\n {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"numeroInterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"dimensionTerreno\": \"<string>\",\n \"dimensionConstruido\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n ],\n \"payments\": [\n {}\n ]\n },\n \"JYS\": {\n \"settlementType\": \"cash\",\n \"branchInformation\": {\n \"type\": \"own\",\n \"postalCode\": \"<string>\"\n }\n },\n \"MJR\": {\n \"operationPostalCode\": \"<string>\",\n \"goods\": [\n {\n \"quantity\": \"<string>\"\n }\n ],\n \"paymentDefaults\": [\n {}\n ]\n },\n \"MPC\": {\n \"defaultCollateral\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"TSC\": {\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"vehicles\": [\n {\n \"kind\": \"terrestre\",\n \"marcaFabricante\": \"<string>\",\n \"modelo\": \"<string>\",\n \"anio\": \"<string>\",\n \"vin\": \"<string>\",\n \"repuve\": \"<string>\",\n \"placas\": \"<string>\"\n }\n ]\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"sucursal\": \"<string>\"\n }\n }\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.artu.ai/products/external/{externalId}")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"scopes\": [],\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"property\": {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n },\n \"AVI\": {\n \"operationType\": \"buy\",\n \"cryptoCurrency\": \"<string>\"\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"inmuebles\": [\n {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"numeroInterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"dimensionTerreno\": \"<string>\",\n \"dimensionConstruido\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n ],\n \"payments\": [\n {}\n ]\n },\n \"JYS\": {\n \"settlementType\": \"cash\",\n \"branchInformation\": {\n \"type\": \"own\",\n \"postalCode\": \"<string>\"\n }\n },\n \"MJR\": {\n \"operationPostalCode\": \"<string>\",\n \"goods\": [\n {\n \"quantity\": \"<string>\"\n }\n ],\n \"paymentDefaults\": [\n {}\n ]\n },\n \"MPC\": {\n \"defaultCollateral\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"TSC\": {\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"vehicles\": [\n {\n \"kind\": \"terrestre\",\n \"marcaFabricante\": \"<string>\",\n \"modelo\": \"<string>\",\n \"anio\": \"<string>\",\n \"vin\": \"<string>\",\n \"repuve\": \"<string>\",\n \"placas\": \"<string>\"\n }\n ]\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"sucursal\": \"<string>\"\n }\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/products/external/{externalId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"scopes\": [],\n \"description\": \"<string>\",\n \"metadata\": {},\n \"scopeData\": {\n \"MX\": {\n \"actividadVulnerable\": {\n \"ARI\": {\n \"operationType\": \"1501\",\n \"property\": {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n },\n \"AVI\": {\n \"operationType\": \"buy\",\n \"cryptoCurrency\": \"<string>\"\n },\n \"INM\": {\n \"operationType\": \"501\",\n \"inmuebles\": [\n {\n \"value\": \"<string>\",\n \"calle\": \"<string>\",\n \"colonia\": \"<string>\",\n \"numeroExterior\": \"<string>\",\n \"numeroInterior\": \"<string>\",\n \"postalCode\": \"<string>\",\n \"dimensionTerreno\": \"<string>\",\n \"dimensionConstruido\": \"<string>\",\n \"folioReal\": \"<string>\"\n }\n ],\n \"payments\": [\n {}\n ]\n },\n \"JYS\": {\n \"settlementType\": \"cash\",\n \"branchInformation\": {\n \"type\": \"own\",\n \"postalCode\": \"<string>\"\n }\n },\n \"MJR\": {\n \"operationPostalCode\": \"<string>\",\n \"goods\": [\n {\n \"quantity\": \"<string>\"\n }\n ],\n \"paymentDefaults\": [\n {}\n ]\n },\n \"MPC\": {\n \"defaultCollateral\": {\n \"postalCode\": \"<string>\"\n }\n },\n \"TSC\": {\n \"operationType\": \"211\"\n },\n \"VEH\": {\n \"vehicles\": [\n {\n \"kind\": \"terrestre\",\n \"marcaFabricante\": \"<string>\",\n \"modelo\": \"<string>\",\n \"anio\": \"<string>\",\n \"vin\": \"<string>\",\n \"repuve\": \"<string>\",\n \"placas\": \"<string>\"\n }\n ]\n }\n },\n \"cnbv\": {\n \"TRANSMISOR\": {\n \"sucursal\": \"<string>\"\n }\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"name": "<string>",
"scopes": [
"base"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"metadata": {},
"scopeData": {
"MX": {
"actividadVulnerable": {
"ARI": {
"operationType": "1501",
"property": {
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"postalCode": "<string>",
"folioReal": "<string>"
},
"paymentForm": "1",
"monetaryInstrument": "1"
},
"AVI": {
"operationType": "buy",
"cryptoCurrency": "<string>"
},
"INM": {
"operationType": "501",
"inmuebles": [
{
"type": "1",
"value": "<string>",
"calle": "<string>",
"colonia": "<string>",
"numeroExterior": "<string>",
"numeroInterior": "<string>",
"postalCode": "<string>",
"dimensionTerreno": "<string>",
"dimensionConstruido": "<string>",
"folioReal": "<string>"
}
],
"payments": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"JYS": {
"settlementType": "cash",
"operationType": "101",
"businessLine": "1",
"operationMethod": "1",
"branchInformation": {
"type": "own",
"postalCode": "<string>"
},
"monetaryInstrument": "1"
},
"MJR": {
"operationType": "601",
"operationPostalCode": "<string>",
"goods": [
{
"goodType": "1",
"unit": "1",
"quantity": "<string>"
}
],
"paymentDefaults": [
{
"paymentForm": "1",
"monetaryInstrument": "1"
}
]
},
"MPC": {
"operationType": "401",
"defaultCollateral": {
"tipoGarantia": "2",
"tipoInmueble": "1",
"postalCode": "<string>"
}
},
"TSC": {
"operationType": "211",
"cardType": "1"
},
"VEH": {
"operationType": "801",
"vehicles": [
{
"kind": "terrestre",
"marcaFabricante": "<string>",
"modelo": "<string>",
"anio": "<string>",
"nivelBlindaje": "1",
"vin": "<string>",
"repuve": "<string>",
"placas": "<string>"
}
]
}
},
"cnbv": {
"TRANSMISOR": {
"tipoOperacion": "00",
"instrumentoMonetario": "00",
"sucursal": "<string>",
"localidad": "10100005"
}
}
}
},
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
]
},
"action": "created"
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Path Parameters
External ID
Minimum string length:
1Body
application/json
Name
Required string length:
1 - 255Minimum array length:
1Available options:
base, MX:AV, MX:AV:ARI, MX:AV:AVI, MX:AV:INM, MX:AV:JYS, MX:AV:MJR, MX:AV:MPC, MX:AV:TSC, MX:AV:VEH, MX:CNBV, MX:CNBV:TRANSMISOR, MX Description
Maximum string length:
1000Metadata
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
